## linux 6.1.27

=== drivers/powercap/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_DTPM) += dtpm.o
obj-$(CONFIG_DTPM_CPU) += dtpm_cpu.o
obj-$(CONFIG_DTPM_DEVFREQ) += dtpm_devfreq.o
obj-$(CONFIG_POWERCAP)	+= powercap_sys.o
obj-$(CONFIG_INTEL_RAPL_CORE) += intel_rapl_common.o
obj-$(CONFIG_INTEL_RAPL) += intel_rapl_msr.o
obj-$(CONFIG_IDLE_INJECT) += idle_inject.o

=== drivers/rtc/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for RTC class/drivers.
#

ccflags-$(CONFIG_RTC_DEBUG)	:= -DDEBUG

obj-$(CONFIG_RTC_LIB)		+= lib.o
obj-$(CONFIG_RTC_CLASS)		+= rtc-core.o
obj-$(CONFIG_RTC_MC146818_LIB)	+= rtc-mc146818-lib.o
rtc-core-y			:= class.o interface.o

rtc-core-$(CONFIG_RTC_NVMEM)		+= nvmem.o
rtc-core-$(CONFIG_RTC_INTF_DEV)		+= dev.o
rtc-core-$(CONFIG_RTC_INTF_PROC)	+= proc.o
rtc-core-$(CONFIG_RTC_INTF_SYSFS)	+= sysfs.o

obj-$(CONFIG_RTC_LIB_KUNIT_TEST)	+= lib_test.o

# Keep the list ordered.

obj-$(CONFIG_RTC_DRV_88PM80X)	+= rtc-88pm80x.o
obj-$(CONFIG_RTC_DRV_88PM860X)	+= rtc-88pm860x.o
obj-$(CONFIG_RTC_DRV_AB8500)	+= rtc-ab8500.o
obj-$(CONFIG_RTC_DRV_ABB5ZES3)	+= rtc-ab-b5ze-s3.o
obj-$(CONFIG_RTC_DRV_ABEOZ9)	+= rtc-ab-eoz9.o
obj-$(CONFIG_RTC_DRV_ABX80X)	+= rtc-abx80x.o
obj-$(CONFIG_RTC_DRV_AC100)	+= rtc-ac100.o
obj-$(CONFIG_RTC_DRV_ARMADA38X)	+= rtc-armada38x.o
obj-$(CONFIG_RTC_DRV_AS3722)	+= rtc-as3722.o
obj-$(CONFIG_RTC_DRV_ASM9260)	+= rtc-asm9260.o
obj-$(CONFIG_RTC_DRV_ASPEED)	+= rtc-aspeed.o
obj-$(CONFIG_RTC_DRV_AT91RM9200)+= rtc-at91rm9200.o
obj-$(CONFIG_RTC_DRV_AT91SAM9)	+= rtc-at91sam9.o
obj-$(CONFIG_RTC_DRV_AU1XXX)	+= rtc-au1xxx.o
obj-$(CONFIG_RTC_DRV_BD70528)	+= rtc-bd70528.o
obj-$(CONFIG_RTC_DRV_BQ32K)	+= rtc-bq32k.o
obj-$(CONFIG_RTC_DRV_BQ4802)	+= rtc-bq4802.o
obj-$(CONFIG_RTC_DRV_BRCMSTB)	+= rtc-brcmstb-waketimer.o
obj-$(CONFIG_RTC_DRV_CADENCE)	+= rtc-cadence.o
obj-$(CONFIG_RTC_DRV_CMOS)	+= rtc-cmos.o
obj-$(CONFIG_RTC_DRV_CPCAP)	+= rtc-cpcap.o
obj-$(CONFIG_RTC_DRV_CROS_EC)	+= rtc-cros-ec.o
obj-$(CONFIG_RTC_DRV_DA9052)	+= rtc-da9052.o
obj-$(CONFIG_RTC_DRV_DA9055)	+= rtc-da9055.o
obj-$(CONFIG_RTC_DRV_DA9063)	+= rtc-da9063.o
obj-$(CONFIG_RTC_DRV_DAVINCI)	+= rtc-davinci.o
obj-$(CONFIG_RTC_DRV_DIGICOLOR)	+= rtc-digicolor.o
obj-$(CONFIG_RTC_DRV_DM355EVM)	+= rtc-dm355evm.o
obj-$(CONFIG_RTC_DRV_DS1216)	+= rtc-ds1216.o
obj-$(CONFIG_RTC_DRV_DS1286)	+= rtc-ds1286.o
obj-$(CONFIG_RTC_DRV_DS1302)	+= rtc-ds1302.o
obj-$(CONFIG_RTC_DRV_DS1305)	+= rtc-ds1305.o
obj-$(CONFIG_RTC_DRV_DS1307)	+= rtc-ds1307.o
obj-$(CONFIG_RTC_DRV_DS1343)	+= rtc-ds1343.o
obj-$(CONFIG_RTC_DRV_DS1347)	+= rtc-ds1347.o
obj-$(CONFIG_RTC_DRV_DS1374)	+= rtc-ds1374.o
obj-$(CONFIG_RTC_DRV_DS1390)	+= rtc-ds1390.o
obj-$(CONFIG_RTC_DRV_DS1511)	+= rtc-ds1511.o
obj-$(CONFIG_RTC_DRV_DS1553)	+= rtc-ds1553.o
obj-$(CONFIG_RTC_DRV_DS1672)	+= rtc-ds1672.o
obj-$(CONFIG_RTC_DRV_DS1685_FAMILY)	+= rtc-ds1685.o
obj-$(CONFIG_RTC_DRV_DS1742)	+= rtc-ds1742.o
obj-$(CONFIG_RTC_DRV_DS2404)	+= rtc-ds2404.o
obj-$(CONFIG_RTC_DRV_DS3232)	+= rtc-ds3232.o
obj-$(CONFIG_RTC_DRV_EFI)	+= rtc-efi.o
obj-$(CONFIG_RTC_DRV_EM3027)	+= rtc-em3027.o
obj-$(CONFIG_RTC_DRV_EP93XX)	+= rtc-ep93xx.o
obj-$(CONFIG_RTC_DRV_FM3130)	+= rtc-fm3130.o
obj-$(CONFIG_RTC_DRV_FSL_FTM_ALARM)	+= rtc-fsl-ftm-alarm.o
obj-$(CONFIG_RTC_DRV_FTRTC010)	+= rtc-ftrtc010.o
obj-$(CONFIG_RTC_DRV_GENERIC)	+= rtc-generic.o
obj-$(CONFIG_RTC_DRV_GOLDFISH)	+= rtc-goldfish.o
obj-$(CONFIG_RTC_DRV_HID_SENSOR_TIME) += rtc-hid-sensor-time.o
obj-$(CONFIG_RTC_DRV_HYM8563)	+= rtc-hym8563.o
obj-$(CONFIG_RTC_DRV_IMXDI)	+= rtc-imxdi.o
obj-$(CONFIG_RTC_DRV_IMX_SC)	+= rtc-imx-sc.o
obj-$(CONFIG_RTC_DRV_ISL12022)	+= rtc-isl12022.o
obj-$(CONFIG_RTC_DRV_ISL12026)	+= rtc-isl12026.o
obj-$(CONFIG_RTC_DRV_ISL1208)	+= rtc-isl1208.o
obj-$(CONFIG_RTC_DRV_JZ4740)	+= rtc-jz4740.o
obj-$(CONFIG_RTC_DRV_LOONGSON1)	+= rtc-ls1x.o
obj-$(CONFIG_RTC_DRV_LP8788)	+= rtc-lp8788.o
obj-$(CONFIG_RTC_DRV_LPC24XX)	+= rtc-lpc24xx.o
obj-$(CONFIG_RTC_DRV_LPC32XX)	+= rtc-lpc32xx.o
obj-$(CONFIG_RTC_DRV_M41T80)	+= rtc-m41t80.o
obj-$(CONFIG_RTC_DRV_M41T93)	+= rtc-m41t93.o
obj-$(CONFIG_RTC_DRV_M41T94)	+= rtc-m41t94.o
obj-$(CONFIG_RTC_DRV_M48T35)	+= rtc-m48t35.o
obj-$(CONFIG_RTC_DRV_M48T59)	+= rtc-m48t59.o
obj-$(CONFIG_RTC_DRV_M48T86)	+= rtc-m48t86.o
obj-$(CONFIG_RTC_DRV_MAX6900)	+= rtc-max6900.o
obj-$(CONFIG_RTC_DRV_MAX6902)	+= rtc-max6902.o
obj-$(CONFIG_RTC_DRV_MAX6916)	+= rtc-max6916.o
obj-$(CONFIG_RTC_DRV_MAX77686)	+= rtc-max77686.o
obj-$(CONFIG_RTC_DRV_MAX8907)	+= rtc-max8907.o
obj-$(CONFIG_RTC_DRV_MAX8925)	+= rtc-max8925.o
obj-$(CONFIG_RTC_DRV_MAX8997)	+= rtc-max8997.o
obj-$(CONFIG_RTC_DRV_MAX8998)	+= rtc-max8998.o
obj-$(CONFIG_RTC_DRV_MESON_VRTC)+= rtc-meson-vrtc.o
obj-$(CONFIG_RTC_DRV_MC13XXX)	+= rtc-mc13xxx.o
obj-$(CONFIG_RTC_DRV_MCP795)	+= rtc-mcp795.o
obj-$(CONFIG_RTC_DRV_MESON)	+= rtc-meson.o
obj-$(CONFIG_RTC_DRV_MOXART)	+= rtc-moxart.o
obj-$(CONFIG_RTC_DRV_MPC5121)	+= rtc-mpc5121.o
obj-$(CONFIG_RTC_DRV_MSC313)	+= rtc-msc313.o
obj-$(CONFIG_RTC_DRV_MSM6242)	+= rtc-msm6242.o
obj-$(CONFIG_RTC_DRV_MT2712)	+= rtc-mt2712.o
obj-$(CONFIG_RTC_DRV_MT6397)	+= rtc-mt6397.o
obj-$(CONFIG_RTC_DRV_MT7622)	+= rtc-mt7622.o
obj-$(CONFIG_RTC_DRV_MV)	+= rtc-mv.o
obj-$(CONFIG_RTC_DRV_MXC)	+= rtc-mxc.o
obj-$(CONFIG_RTC_DRV_MXC_V2)	+= rtc-mxc_v2.o
obj-$(CONFIG_RTC_DRV_GAMECUBE)	+= rtc-gamecube.o
obj-$(CONFIG_RTC_DRV_NCT3018Y)	+= rtc-nct3018y.o
obj-$(CONFIG_RTC_DRV_NTXEC)	+= rtc-ntxec.o
obj-$(CONFIG_RTC_DRV_OMAP)	+= rtc-omap.o
obj-$(CONFIG_RTC_DRV_OPAL)	+= rtc-opal.o
obj-$(CONFIG_RTC_DRV_OPTEE)	+= rtc-optee.o
obj-$(CONFIG_RTC_DRV_PALMAS)	+= rtc-palmas.o
obj-$(CONFIG_RTC_DRV_PCAP)	+= rtc-pcap.o
obj-$(CONFIG_RTC_DRV_PCF2123)	+= rtc-pcf2123.o
obj-$(CONFIG_RTC_DRV_PCF2127)	+= rtc-pcf2127.o
obj-$(CONFIG_RTC_DRV_PCF50633)	+= rtc-pcf50633.o
obj-$(CONFIG_RTC_DRV_PCF85063)	+= rtc-pcf85063.o
obj-$(CONFIG_RTC_DRV_PCF8523)	+= rtc-pcf8523.o
obj-$(CONFIG_RTC_DRV_PCF85363)	+= rtc-pcf85363.o
obj-$(CONFIG_RTC_DRV_PCF8563)	+= rtc-pcf8563.o
obj-$(CONFIG_RTC_DRV_PCF8583)	+= rtc-pcf8583.o
obj-$(CONFIG_RTC_DRV_PIC32)	+= rtc-pic32.o
obj-$(CONFIG_RTC_DRV_PL030)	+= rtc-pl030.o
obj-$(CONFIG_RTC_DRV_PL031)	+= rtc-pl031.o
obj-$(CONFIG_RTC_DRV_PM8XXX)	+= rtc-pm8xxx.o
obj-$(CONFIG_RTC_DRV_POLARFIRE_SOC)	+= rtc-mpfs.o
obj-$(CONFIG_RTC_DRV_PS3)	+= rtc-ps3.o
obj-$(CONFIG_RTC_DRV_PXA)	+= rtc-pxa.o
obj-$(CONFIG_RTC_DRV_R7301)	+= rtc-r7301.o
obj-$(CONFIG_RTC_DRV_R9701)	+= rtc-r9701.o
obj-$(CONFIG_RTC_DRV_RC5T583)	+= rtc-rc5t583.o
obj-$(CONFIG_RTC_DRV_RC5T619)	+= rtc-rc5t619.o
obj-$(CONFIG_RTC_DRV_RK808)	+= rtc-rk808.o
obj-$(CONFIG_RTC_DRV_RP5C01)	+= rtc-rp5c01.o
obj-$(CONFIG_RTC_DRV_RS5C313)	+= rtc-rs5c313.o
obj-$(CONFIG_RTC_DRV_RS5C348)	+= rtc-rs5c348.o
obj-$(CONFIG_RTC_DRV_RS5C372)	+= rtc-rs5c372.o
obj-$(CONFIG_RTC_DRV_RTD119X)	+= rtc-rtd119x.o
obj-$(CONFIG_RTC_DRV_RV3028)	+= rtc-rv3028.o
obj-$(CONFIG_RTC_DRV_RV3029C2)	+= rtc-rv3029c2.o
obj-$(CONFIG_RTC_DRV_RV3032)	+= rtc-rv3032.o
obj-$(CONFIG_RTC_DRV_RV8803)	+= rtc-rv8803.o
obj-$(CONFIG_RTC_DRV_RX4581)	+= rtc-rx4581.o
obj-$(CONFIG_RTC_DRV_RX6110)	+= rtc-rx6110.o
obj-$(CONFIG_RTC_DRV_RX8010)	+= rtc-rx8010.o
obj-$(CONFIG_RTC_DRV_RX8025)	+= rtc-rx8025.o
obj-$(CONFIG_RTC_DRV_RX8581)	+= rtc-rx8581.o
obj-$(CONFIG_RTC_DRV_RZN1)	+= rtc-rzn1.o
obj-$(CONFIG_RTC_DRV_S35390A)	+= rtc-s35390a.o
obj-$(CONFIG_RTC_DRV_S3C)	+= rtc-s3c.o
obj-$(CONFIG_RTC_DRV_S5M)	+= rtc-s5m.o
obj-$(CONFIG_RTC_DRV_SA1100)	+= rtc-sa1100.o
obj-$(CONFIG_RTC_DRV_SC27XX)	+= rtc-sc27xx.o
obj-$(CONFIG_RTC_DRV_SD3078)   += rtc-sd3078.o
obj-$(CONFIG_RTC_DRV_SH)	+= rtc-sh.o
obj-$(CONFIG_RTC_DRV_SNVS)	+= rtc-snvs.o
obj-$(CONFIG_RTC_DRV_SPEAR)	+= rtc-spear.o
obj-$(CONFIG_RTC_DRV_STARFIRE)	+= rtc-starfire.o
obj-$(CONFIG_RTC_DRV_STK17TA8)	+= rtc-stk17ta8.o
obj-$(CONFIG_RTC_DRV_ST_LPC)	+= rtc-st-lpc.o
obj-$(CONFIG_RTC_DRV_STM32) 	+= rtc-stm32.o
obj-$(CONFIG_RTC_DRV_STMP)	+= rtc-stmp3xxx.o
obj-$(CONFIG_RTC_DRV_SUN4V)	+= rtc-sun4v.o
obj-$(CONFIG_RTC_DRV_SUN6I)	+= rtc-sun6i.o
obj-$(CONFIG_RTC_DRV_SUNPLUS)	+= rtc-sunplus.o
obj-$(CONFIG_RTC_DRV_SUNXI)	+= rtc-sunxi.o
obj-$(CONFIG_RTC_DRV_TEGRA)	+= rtc-tegra.o
obj-$(CONFIG_RTC_DRV_TEST)	+= rtc-test.o
obj-$(CONFIG_RTC_DRV_TI_K3)	+= rtc-ti-k3.o
obj-$(CONFIG_RTC_DRV_TPS6586X)	+= rtc-tps6586x.o
obj-$(CONFIG_RTC_DRV_TPS65910)	+= rtc-tps65910.o
obj-$(CONFIG_RTC_DRV_TWL4030)	+= rtc-twl.o
obj-$(CONFIG_RTC_DRV_V3020)	+= rtc-v3020.o
obj-$(CONFIG_RTC_DRV_VT8500)	+= rtc-vt8500.o
obj-$(CONFIG_RTC_DRV_WILCO_EC)	+= rtc-wilco-ec.o
obj-$(CONFIG_RTC_DRV_WM831X)	+= rtc-wm831x.o
obj-$(CONFIG_RTC_DRV_WM8350)	+= rtc-wm8350.o
obj-$(CONFIG_RTC_DRV_X1205)	+= rtc-x1205.o
obj-$(CONFIG_RTC_DRV_XGENE)	+= rtc-xgene.o
obj-$(CONFIG_RTC_DRV_ZYNQMP)	+= rtc-zynqmp.o

=== arch/powerpc/purgatory/Makefile ===
# SPDX-License-Identifier: GPL-2.0

KASAN_SANITIZE := n

targets += trampoline_$(BITS).o purgatory.ro

LDFLAGS_purgatory.ro := -e purgatory_start -r --no-undefined

$(obj)/purgatory.ro: $(obj)/trampoline_$(BITS).o FORCE
		$(call if_changed,ld)

$(obj)/kexec-purgatory.o: $(obj)/purgatory.ro

obj-y	+= kexec-purgatory.o

=== drivers/pinctrl/renesas/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CONFIG_PINCTRL_SH_PFC)		+= core.o pinctrl.o
obj-$(CONFIG_PINCTRL_SH_PFC_GPIO)	+= gpio.o
obj-$(CONFIG_PINCTRL_PFC_EMEV2)		+= pfc-emev2.o
obj-$(CONFIG_PINCTRL_PFC_R8A73A4)	+= pfc-r8a73a4.o
obj-$(CONFIG_PINCTRL_PFC_R8A7740)	+= pfc-r8a7740.o
obj-$(CONFIG_PINCTRL_PFC_R8A7742)	+= pfc-r8a7790.o
obj-$(CONFIG_PINCTRL_PFC_R8A7743)	+= pfc-r8a7791.o
obj-$(CONFIG_PINCTRL_PFC_R8A7744)	+= pfc-r8a7791.o
obj-$(CONFIG_PINCTRL_PFC_R8A7745)	+= pfc-r8a7794.o
obj-$(CONFIG_PINCTRL_PFC_R8A77470)	+= pfc-r8a77470.o
obj-$(CONFIG_PINCTRL_PFC_R8A774A1)	+= pfc-r8a7796.o
obj-$(CONFIG_PINCTRL_PFC_R8A774B1)	+= pfc-r8a77965.o
obj-$(CONFIG_PINCTRL_PFC_R8A774C0)	+= pfc-r8a77990.o
obj-$(CONFIG_PINCTRL_PFC_R8A774E1)	+= pfc-r8a77951.o
obj-$(CONFIG_PINCTRL_PFC_R8A7778)	+= pfc-r8a7778.o
obj-$(CONFIG_PINCTRL_PFC_R8A7779)	+= pfc-r8a7779.o
obj-$(CONFIG_PINCTRL_PFC_R8A7790)	+= pfc-r8a7790.o
obj-$(CONFIG_PINCTRL_PFC_R8A7791)	+= pfc-r8a7791.o
obj-$(CONFIG_PINCTRL_PFC_R8A7792)	+= pfc-r8a7792.o
obj-$(CONFIG_PINCTRL_PFC_R8A7793)	+= pfc-r8a7791.o
obj-$(CONFIG_PINCTRL_PFC_R8A7794)	+= pfc-r8a7794.o
obj-$(CONFIG_PINCTRL_PFC_R8A77950)	+= pfc-r8a77950.o
obj-$(CONFIG_PINCTRL_PFC_R8A77951)	+= pfc-r8a77951.o
obj-$(CONFIG_PINCTRL_PFC_R8A77960)	+= pfc-r8a7796.o
obj-$(CONFIG_PINCTRL_PFC_R8A77961)	+= pfc-r8a7796.o
obj-$(CONFIG_PINCTRL_PFC_R8A77965)	+= pfc-r8a77965.o
obj-$(CONFIG_PINCTRL_PFC_R8A77970)	+= pfc-r8a77970.o
obj-$(CONFIG_PINCTRL_PFC_R8A77980)	+= pfc-r8a77980.o
obj-$(CONFIG_PINCTRL_PFC_R8A77990)	+= pfc-r8a77990.o
obj-$(CONFIG_PINCTRL_PFC_R8A77995)	+= pfc-r8a77995.o
obj-$(CONFIG_PINCTRL_PFC_R8A779A0)	+= pfc-r8a779a0.o
obj-$(CONFIG_PINCTRL_PFC_R8A779F0)	+= pfc-r8a779f0.o
obj-$(CONFIG_PINCTRL_PFC_R8A779G0)	+= pfc-r8a779g0.o
obj-$(CONFIG_PINCTRL_PFC_SH7203)	+= pfc-sh7203.o
obj-$(CONFIG_PINCTRL_PFC_SH7264)	+= pfc-sh7264.o
obj-$(CONFIG_PINCTRL_PFC_SH7269)	+= pfc-sh7269.o
obj-$(CONFIG_PINCTRL_PFC_SH73A0)	+= pfc-sh73a0.o
obj-$(CONFIG_PINCTRL_PFC_SH7720)	+= pfc-sh7720.o
obj-$(CONFIG_PINCTRL_PFC_SH7722)	+= pfc-sh7722.o
obj-$(CONFIG_PINCTRL_PFC_SH7723)	+= pfc-sh7723.o
obj-$(CONFIG_PINCTRL_PFC_SH7724)	+= pfc-sh7724.o
obj-$(CONFIG_PINCTRL_PFC_SH7734)	+= pfc-sh7734.o
obj-$(CONFIG_PINCTRL_PFC_SH7757)	+= pfc-sh7757.o
obj-$(CONFIG_PINCTRL_PFC_SH7785)	+= pfc-sh7785.o
obj-$(CONFIG_PINCTRL_PFC_SH7786)	+= pfc-sh7786.o
obj-$(CONFIG_PINCTRL_PFC_SHX3)		+= pfc-shx3.o

obj-$(CONFIG_PINCTRL_RZA1)	+= pinctrl-rza1.o
obj-$(CONFIG_PINCTRL_RZA2)	+= pinctrl-rza2.o
obj-$(CONFIG_PINCTRL_RZG2L)	+= pinctrl-rzg2l.o
obj-$(CONFIG_PINCTRL_RZN1)	+= pinctrl-rzn1.o
obj-$(CONFIG_PINCTRL_RZV2M)	+= pinctrl-rzv2m.o

ifeq ($(CONFIG_COMPILE_TEST),y)
CFLAGS_pfc-sh7203.o	+= -I$(srctree)/arch/sh/include/cpu-sh2a
CFLAGS_pfc-sh7264.o	+= -I$(srctree)/arch/sh/include/cpu-sh2a
CFLAGS_pfc-sh7269.o	+= -I$(srctree)/arch/sh/include/cpu-sh2a
CFLAGS_pfc-sh7720.o	+= -I$(srctree)/arch/sh/include/cpu-sh3
CFLAGS_pfc-sh7722.o	+= -I$(srctree)/arch/sh/include/cpu-sh4
CFLAGS_pfc-sh7723.o	+= -I$(srctree)/arch/sh/include/cpu-sh4
CFLAGS_pfc-sh7724.o	+= -I$(srctree)/arch/sh/include/cpu-sh4
CFLAGS_pfc-sh7734.o	+= -I$(srctree)/arch/sh/include/cpu-sh4
CFLAGS_pfc-sh7757.o	+= -I$(srctree)/arch/sh/include/cpu-sh4
CFLAGS_pfc-sh7785.o	+= -I$(srctree)/arch/sh/include/cpu-sh4
CFLAGS_pfc-sh7786.o	+= -I$(srctree)/arch/sh/include/cpu-sh4
CFLAGS_pfc-shx3.o	+= -I$(srctree)/arch/sh/include/cpu-sh4
endif

=== arch/riscv/kernel/vdso/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
# Copied from arch/tile/kernel/vdso/Makefile

# Absolute relocation type $(ARCH_REL_TYPE_ABS) needs to be defined before
# the inclusion of generic Makefile.
ARCH_REL_TYPE_ABS := R_RISCV_32|R_RISCV_64|R_RISCV_JUMP_SLOT
include $(srctree)/lib/vdso/Makefile
# Symbols present in the vdso
vdso-syms  = rt_sigreturn
ifdef CONFIG_64BIT
vdso-syms += vgettimeofday
endif
vdso-syms += getcpu
vdso-syms += flush_icache

# Files to link into the vdso
obj-vdso = $(patsubst %, %.o, $(vdso-syms)) note.o

ccflags-y := -fno-stack-protector
ccflags-y += -DDISABLE_BRANCH_PROFILING

ifneq ($(c-gettimeofday-y),)
  CFLAGS_vgettimeofday.o += -fPIC -include $(c-gettimeofday-y)
endif

# Build rules
targets := $(obj-vdso) vdso.so vdso.so.dbg vdso.lds
obj-vdso := $(addprefix $(obj)/, $(obj-vdso))

obj-y += vdso.o
CPPFLAGS_vdso.lds += -P -C -U$(ARCH)
ifneq ($(filter vgettimeofday, $(vdso-syms)),)
CPPFLAGS_vdso.lds += -DHAS_VGETTIMEOFDAY
endif

# Disable -pg to prevent insert call site
CFLAGS_REMOVE_vgettimeofday.o = $(CC_FLAGS_FTRACE)

# Disable profiling and instrumentation for VDSO code
GCOV_PROFILE := n
KCOV_INSTRUMENT := n
KASAN_SANITIZE := n
UBSAN_SANITIZE := n

# Force dependency
$(obj)/vdso.o: $(obj)/vdso.so

# link rule for the .so file, .lds has to be first
$(obj)/vdso.so.dbg: $(obj)/vdso.lds $(obj-vdso) FORCE
	$(call if_changed,vdsold)
LDFLAGS_vdso.so.dbg = -shared -S -soname=linux-vdso.so.1 \
	--build-id=sha1 --hash-style=both --eh-frame-hdr

# strip rule for the .so file
$(obj)/%.so: OBJCOPYFLAGS := -S
$(obj)/%.so: $(obj)/%.so.dbg FORCE
	$(call if_changed,objcopy)

# Generate VDSO offsets using helper script
gen-vdsosym := $(srctree)/$(src)/gen_vdso_offsets.sh
quiet_cmd_vdsosym = VDSOSYM $@
	cmd_vdsosym = $(NM) $< | $(gen-vdsosym) | LC_ALL=C sort > $@

include/generated/vdso-offsets.h: $(obj)/vdso.so.dbg FORCE
	$(call if_changed,vdsosym)

# actual build commands
# The DSO images are built using a special linker script
# Make sure only to export the intended __vdso_xxx symbol offsets.
quiet_cmd_vdsold = VDSOLD  $@
      cmd_vdsold = $(LD) $(ld_flags) -T $(filter-out FORCE,$^) -o $@.tmp && \
                   $(OBJCOPY) $(patsubst %, -G __vdso_%, $(vdso-syms)) $@.tmp $@ && \
                   rm $@.tmp

# install commands for the unstripped file
quiet_cmd_vdso_install = INSTALL $@
      cmd_vdso_install = cp $(obj)/$@.dbg $(MODLIB)/vdso/$@

vdso.so: $(obj)/vdso.so.dbg
	@mkdir -p $(MODLIB)/vdso
	$(call cmd,vdso_install)

vdso_install: vdso.so

=== debian/changelog ===
linux (6.1.27-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.26
    - [arm64] dts: qcom: ipq8074-hk01: enable QMP device, not the PHY node
    - netfilter: br_netfilter: fix recent physdev match breakage
    - netfilter: nf_tables: Modify nla_memdup's flag to GFP_KERNEL_ACCOUNT
    - [arm64,armhf] regulator: fan53555: Explicitly include bits header
    - [arm64,armhf] regulator: fan53555: Fix wrong TCS_SLEW_MASK
    - net: sched: sch_qfq: prevent slab-out-of-bounds in qfq_activate_agg
      (CVE-2023-31436)
    - virtio_net: bugfix overflow inside xdp_linearize_page()
    - sfc: Fix use-after-free due to selftest_work
    - netfilter: nf_tables: fix ifdef to also consider nf_tables=m
    - i40e: fix accessing vsi->active_filters without holding lock
    - i40e: fix i40e_setup_misc_vector() error handling
    - netfilter: nf_tables: validate catch-all set elements
    - netfilter: nf_tables: tighten netlink attribute requirements for catch-all
      elements
    - bnxt_en: Do not initialize PTP on older P3/P4 chips
    - mlxfw: fix null-ptr-deref in mlxfw_mfa2_tlv_next()
    - bonding: Fix memory leak when changing bond type to Ethernet
    - net: rpl: fix rpl header size calculation
    - [arm64] spi: spi-rockchip: Fix missing unwind goto in rockchip_sfc_probe()
    - bpf: Fix incorrect verifier pruning due to missing register precision
      taints
    - e1000e: Disable TSO on i219-LM card to increase speed
    - net: bridge: switchdev: don't notify FDB entries with "master dynamic"
    - f2fs: Fix f2fs_truncate_partial_nodes ftrace event
    - [x86] platform/x86/intel: vsec: Fix a memory leak in intel_vsec_add_aux
    - [x86] platform/x86 (gigabyte-wmi): Add support for A320M-S2H V2
    - scsi: megaraid_sas: Fix fw_crash_buffer_show()
    - scsi: core: Improve scsi_vpd_inquiry() checks
    - [x86] platform/x86: gigabyte-wmi: add support for B650 AORUS ELITE AX
    - [s390x] ptrace: fix PTRACE_GET_LAST_BREAK error handling
    - drm: buddy_allocator: Fix buddy allocator init on 32-bit systems
    - nvme-tcp: fix a possible UAF when failing to allocate an io queue
    - xen/netback: use same error messages for same errors
    - [x86] platform/x86: gigabyte-wmi: add support for X570S AORUS ELITE
    - [x86] platform/x86: asus-nb-wmi: Add quirk_asus_tablet_mode to other ROG
      Flow X13 models
    - mtd: spi-nor: fix memory leak when using debugfs_lookup()
    - Revert "userfaultfd: don't fail on unrecognized features"
    - drm/amdgpu/vcn: Disable indirect SRAM on Vangogh broken BIOSes
    - iio: dac: ad5755: Add missing fwnode_handle_put()
    - iio: light: tsl2772: fix reading proximity-diodes from device tree
    - ALSA: hda/realtek: fix mute/micmute LEDs for a HP ProBook
    - btrfs: get the next extent map during fiemap/lseek more efficiently
    - maple_tree: make maple state reusable after mas_empty_area_rev()
    - maple_tree: fix mas_empty_area() search
    - maple_tree: fix a potential memory leak, OOB access, or other
      unpredictable bug
    - nilfs2: initialize unused bytes in segment summary blocks
    - memstick: fix memory leak if card device is never registered
    - kernel/sys.c: fix and improve control flow in __sys_setres[ug]id()
    - writeback, cgroup: fix null-ptr-deref write in bdi_split_work_to_wbs
    - [arm64] mmc: sdhci_am654: Set HIGH_SPEED_ENA for SDR12 and SDR25
    - [x86] drm/i915: Fix fast wake AUX sync len
    - drm/amdgpu: Fix desktop freezed after gpu-reset
    - drm/amd/display: set dcn315 lb bpp to 48
    - [arm64] drm/rockchip: vop2: fix suspend/resume
    - [arm64] drm/rockchip: vop2: Use regcache_sync() to fix suspend/resume
    - mm/userfaultfd: fix uffd-wp handling for THP migration entries
    - mm/khugepaged: check again on anon uffd-wp during isolation
    - mm/huge_memory.c: warn with pr_warn_ratelimited instead of
      VM_WARN_ON_ONCE_FOLIO
    - mm: kmsan: handle alloc failures in kmsan_ioremap_page_range()
    - mm: kmsan: handle alloc failures in kmsan_vmap_pages_range_noflush()
    - mm: page_alloc: skip regions with hugetlbfs pages when allocating 1G pages
    - mm/mmap: regression fix for unmapped_area{_topdown}
    - sched/fair: Detect capacity inversion
    - sched/fair: Consider capacity inversion in util_fits_cpu()
    - sched/fair: Fixes for capacity inversion detection
    - [arm64] KVM: arm64: Make vcpu flag updates non-preemptible
    - [arm64] KVM: arm64: Fix buffer overflow in kvm_arm_set_fw_reg()
    - [mips*] Define RUNTIME_DISCARD_EXIT in LD script
    - fuse: always revalidate rename target dentry
    - inet6: Remove inet6_destroy_sock() in sk->sk_prot->destroy().
    - dccp: Call inet6_destroy_sock() via sk->sk_destruct().
    - sctp: Call inet6_destroy_sock() via sk->sk_destruct().
    - Input: pegasus-notetaker - check pipe type when probing
    - mm/page_alloc: fix potential deadlock on zonelist_update_seq seqlock
    - [x86] ASoC: SOF: pm: Tear down pipelines only if DSP was active
    - ASN.1: Fix check for strdup() success
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.27
    - [arm64] KVM: arm64: Retry fault if vma_lookup() results become invalid
    - mm/mempolicy: fix use-after-free of VMA iterator
    - mptcp: stops worker on unaccepted sockets at listener close
    - mptcp: fix accept vs worker race
    - wifi: brcmfmac: slab-out-of-bounds read in brcmf_get_assoc_ies()
      (CVE-2023-1380)
    - drm/fb-helper: set x/yres_virtual in drm_fb_helper_check_var
    - gpiolib: acpi: Add a ignore wakeup quirk for Clevo NL5xNU
    - bluetooth: Perform careful capability checks in hci_sock_ioctl()
      (CVE-2023-2002)
    - btrfs: fix uninitialized variable warnings
    - USB: serial: option: add UNISOC vendor and TOZED LT70C product
    - driver core: Don't require dynamic_debug for initcall_debug probe timing
    - [riscv64] Move early dtb mapping into the fixmap region


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 12), dh-exec, python3:native, python3-jinja2:native, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.102~) <!pkg.linux.nokernel !stage1>, kmod <!pkg.linux.nokernel !stage1>, bc <!pkg.linux.nokernel !stage1>, libssl-dev:native <!pkg.linux.nokernel !stage1>, libssl-dev <!pkg.linux.notools !stage1>, openssl (>= 1.1.0-1~) <!pkg.linux.nokernel !stage1>, libelf-dev:native <!pkg.linux.nokernel !stage1>, libelf-dev <!pkg.linux.notools !stage1>, rsync, lz4 [amd64 arm64] <!pkg.linux.nokernel !stage1>, pahole <!pkg.linux.nokernel !stage1> | dwarves:native (>= 1.16~) <!pkg.linux.nokernel !stage1>, gcc-12 [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!cross !pkg.linux.nokernel !stage1>, gcc-12-alpha-linux-gnu [alpha] <cross !pkg.linux.nokernel !stage1>, gcc-12-x86-64-linux-gnu [amd64] <cross !pkg.linux.nokernel !stage1>, gcc-12-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel !stage1>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel !stage1>, gcc-12-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel !stage1>, gcc-12-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel !stage1>, gcc-12-hppa-linux-gnu [hppa] <cross !pkg.linux.nokernel !stage1>, binutils-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-12-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-12-i686-linux-gnu [i386] <cross !pkg.linux.nokernel !stage1>, gcc-12-ia64-linux-gnu [ia64] <cross !pkg.linux.nokernel !stage1>, gcc-12-m68k-linux-gnu [m68k] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips-linux-gnu [mips] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips64-linux-gnuabi64 [mips64] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips64el-linux-gnuabi64 [mips64el] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsel-linux-gnu [mipsel] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa32r6-linux-gnu [mipsr6] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc-linux-gnu [powerpc] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc64-linux-gnu [ppc64] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc64le-linux-gnu [ppc64el] <cross !pkg.linux.nokernel !stage1>, gcc-12-riscv64-linux-gnu [riscv64] <cross !pkg.linux.nokernel !stage1>, gcc-12-s390x-linux-gnu [s390x] <cross !pkg.linux.nokernel !stage1>, gcc-12-sh4-linux-gnu [sh4] <cross !pkg.linux.nokernel !stage1>, gcc-12-sparc64-linux-gnu [sparc64] <cross !pkg.linux.nokernel !stage1>, python3-docutils [linux-any] <!nodoc !pkg.linux.notools !stage1>, zlib1g-dev [linux-any] <!pkg.linux.notools !stage1>, libcap-dev [linux-any] <!pkg.linux.notools !stage1>, libpci-dev [linux-any] <!pkg.linux.notools !stage1>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nodoc !nopython !pkg.linux.notools !stage1>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!nopython !pkg.linux.notools !stage1>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, libbabeltrace-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, libopencsd-dev (>= 1.1.1) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, libpython3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!nopython !pkg.linux.notools !stage1>, libzstd-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, python3-dev:any [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, python3-setuptools [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.notools !stage1>, autoconf [linux-any] <!pkg.linux.notools !stage1>, automake [linux-any] <!pkg.linux.notools !stage1>, libtool [linux-any] <!pkg.linux.notools !stage1>, libglib2.0-dev [linux-any] <!pkg.linux.notools !stage1>, libudev-dev [linux-any] <!pkg.linux.notools !stage1>, libwrap0-dev [linux-any] <!pkg.linux.notools !stage1>, libtracefs-dev (>= 1.3) [amd64 arm64 armhf i386 x32] <!pkg.linux.notools !stage1>, libtraceevent-dev (>= 1:1.5) [amd64 arm64 armhf i386 x32] <!pkg.linux.notools !stage1>, python3-docutils [amd64 arm64 armhf i386 x32] <!pkg.linux.notools !stage1>
Build-Depends-Indep: graphviz <!nodoc !pkg.linux.quick !stage1>, python3-sphinx <!nodoc !pkg.linux.quick !stage1>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick !stage1>, texlive-latex-base <!nodoc !pkg.linux.quick !stage1>, texlive-latex-extra <!nodoc !pkg.linux.quick !stage1>, dvipng <!nodoc !pkg.linux.quick !stage1>, patchutils <!pkg.linux.nosource !pkg.linux.quick !stage1>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-6.1.0-9
Architecture: all
Section: devel
Build-Profiles: <!stage1>
Depends: ${python3:Depends}, python3-jinja2, ${misc:Depends}
Multi-Arch: foreign
Description: Support files for Linux 6.1
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.

Package: linux-doc-6.1
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux kernel specific documentation for version 6.1
 This package provides the various README files and HTML documentation for
 the Linux kernel version 6.1.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  An index to the documentation is installed as
 /usr/share/doc/linux-doc-6.1/html/index.html.

Package: linux-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.nometa !pkg.linux.quick !stage1>
Depends: linux-doc-6.1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel specific documentation (meta-package)
 This package depends on the package containing the documentation for the
 latest Linux kernel.

Package: linux-source-6.1
Architecture: all
Section: kernel
Build-Profiles: <!pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: build-essential, bc, rsync, kmod, cpio, bison, flex, libelf-dev, libssl-dev, linux-config-6.1
Suggests: libncurses-dev | ncurses-dev, qtbase5-dev, pkg-config
Multi-Arch: foreign
Description: Linux kernel source for version 6.1 with Debian patches
 This package provides source code for the Linux kernel version 6.1. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.

Package: linux-source
Architecture: all
Build-Profiles: <!pkg.linux.nometa !pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: linux-source-6.1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel source (meta-package)
 This package depends on packages containing the sources of the latest
 Linux kernel.

Package: linux-headers-6.1.0-9-common
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-9
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-9, generally used for building out-of-tree kernel modules.
 To obtain a complete set of headers you also need to install the
 linux-headers-6.1.0-9-(flavour) package, matching the flavour of the
 kernel you intend the build for.

Package: linux-headers-6.1.0-9-common-rt
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-9-rt
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-9 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers
 you also need to install the linux-headers-6.1.0-9-(flavour) package,
 matching the flavour of the kernel you intend the build for.

Package: kernel-image-6.1.0-9-alpha-generic-di
Package-Type: udeb
Architecture: alpha
Section: debian-installer
Priority: standard
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick !stage1>
Provides: kernel-image
Kernel-Version: 6.1.0-9-alpha-generic
Description: Linux kernel image and core modules for the Debian installer
 This package contains the kernel image and core modules for the Debian
 installer boot images.  It does _not_ provide a usable kernel for your

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-6.1.0-9-alpha-generic [alpha], linux-image-6.1.0-9-alpha-smp [alpha], linux-image-6.1.0-9-amd64-unsigned [amd64], linux-image-6.1.0-9-cloud-amd64-unsigned [amd64], linux-image-6.1.0-9-rt-amd64-unsigned [amd64], linux-image-6.1.0-9-arm64-unsigned [arm64], linux-image-6.1.0-9-cloud-arm64-unsigned [arm64], linux-image-6.1.0-9-rt-arm64-unsigned [arm64], linux-image-6.1.0-9-marvell [armel], linux-image-6.1.0-9-rpi [armel], linux-image-6.1.0-9-armmp [armhf], linux-image-6.1.0-9-armmp-lpae [armhf], linux-image-6.1.0-9-rt-armmp [armhf], linux-image-6.1.0-9-parisc [hppa], linux-image-6.1.0-9-parisc64 [hppa], linux-image-6.1.0-9-686-unsigned [i386], linux-image-6.1.0-9-686-pae-unsigned [i386], linux-image-6.1.0-9-rt-686-pae-unsigned [i386], linux-image-6.1.0-9-itanium [ia64], linux-image-6.1.0-9-mckinley [ia64], linux-image-6.1.0-9-m68k [m68k], linux-image-6.1.0-9-4kc-malta [mips mipsel], linux-image-6.1.0-9-mips32r2eb [mips], linux-image-6.1.0-9-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-9-5kc-malta [mips64 mips64el], linux-image-6.1.0-9-mips64r2eb [mips64], linux-image-6.1.0-9-mips64r2el [mips64el], linux-image-6.1.0-9-loongson-3 [mips64el mipsel], linux-image-6.1.0-9-mips64r6eb [mips64r6], linux-image-6.1.0-9-mips64r6el [mips64r6el], linux-image-6.1.0-9-mips32r2el [mipsel], linux-image-6.1.0-9-mips32r6eb [mipsr6], linux-image-6.1.0-9-mips32r6el [mipsr6el], linux-image-6.1.0-9-powerpc [powerpc], linux-image-6.1.0-9-powerpc-smp [powerpc], linux-image-6.1.0-9-powerpc64 [powerpc ppc64], linux-image-6.1.0-9-powerpc64le [ppc64el], linux-image-6.1.0-9-riscv64 [riscv64], linux-image-6.1.0-9-s390x [s390x], linux-image-6.1.0-9-sh7751r [sh4], linux-image-6.1.0-9-sh7785lcr [sh4], linux-image-6.1.0-9-sparc64 [sparc64], linux-image-6.1.0-9-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-6.1.0-9-alpha-smp [alpha], linux-headers-6.1.0-9-cloud-amd64 [amd64], linux-headers-6.1.0-9-cloud-arm64 [arm64], linux-headers-6.1.0-9-armmp [armhf], linux-headers-6.1.0-9-parisc [hppa], linux-headers-6.1.0-9-686-pae [i386], linux-headers-6.1.0-9-itanium [ia64], linux-headers-6.1.0-9-m68k [m68k], linux-headers-6.1.0-9-powerpc64 [ppc64], linux-headers-6.1.0-9-powerpc64le [ppc64el], linux-headers-6.1.0-9-riscv64 [riscv64], linux-headers-6.1.0-9-s390x [s390x], linux-headers-6.1.0-9-sparc64-smp [sparc64]

## linux 6.1.37

=== debian/changelog ===
linux (6.1.37-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.28
    - [x86] ASOC: Intel: sof_sdw: add quirk for Intel 'Rooks County' NUC M15
    - [x86] ASoC: Intel: soc-acpi: add table for Intel 'Rooks County' NUC M15
    - ASoC: soc-pcm: fix hw->formats cleared by soc_pcm_hw_init() for dpcm
    - [x86] hyperv: Block root partition functionality in a Confidential VM
    - [x86] ASoC: amd: yc: Add DMI entries to support Victus by HP Laptop
      16-e1xxx (8A22)
    - [x86] ASoC: Intel: bytcr_rt5640: Add quirk for the Acer Iconia One 7
      B1-750
    - [x86] ASoC: da7213.c: add missing pm_runtime_disable()
    - scsi: mpi3mr: Handle soft reset in progress fault code (0xF002)
    - net: sfp: add quirk enabling 2500Base-x for HG MXPD-483II
    - [x86] platform/x86: thinkpad_acpi: Add missing T14s Gen1 type to s2idle
      quirk list
    - wifi: ath11k: reduce the MHI timeout to 20s
    - tracing: Error if a trace event has an array for a __field()
    - [x86] cpu: Add model number for Intel Arrow Lake processor
    - wireguard: timers: cast enum limits members to int in prints
    - wifi: mt76: mt7921e: Set memory space enable in PCI_COMMAND if unset
    - [arm64] Always load shadow stack pointer directly from the task struct
    - [arm64] Stash shadow stack pointer in the task struct on interrupt
    - PCI: pciehp: Fix AB-BA deadlock between reset_lock and device_lock
    - [arm64] PCI: qcom: Fix the incorrect register usage in v2.7.0 config
    - [arm64] phy: qcom-qmp-pcie: sc8180x PCIe PHY has 2 lanes
    - [arm64,armhf] usb: dwc3: gadget: Stall and restart EP0 if host is
      unresponsive
    - [arm64,armhf] USB: dwc3: fix runtime pm imbalance on probe errors
    - [arm64,armhf] USB: dwc3: fix runtime pm imbalance on unbind
    - [x86] hwmon: (k10temp) Check range scale when CUR_TEMP register is
      read-write
    - hwmon: (adt7475) Use device_property APIs when configuring polarity
    - tpm: Add !tpm_amd_is_rng_defective() to the hwrng_unregister() call site
    - posix-cpu-timers: Implement the missing timer_wait_running callback
    - blk-stat: fix QUEUE_FLAG_STATS clear
    - blk-crypto: don't use struct request_queue for public interfaces
    - blk-crypto: add a blk_crypto_config_supported_natively helper
    - blk-crypto: move internal only declarations to blk-crypto-internal.h
    - blk-crypto: Add a missing include directive
    - blk-mq: release crypto keyslot before reporting I/O complete
    - blk-crypto: make blk_crypto_evict_key() return void
    - blk-crypto: make blk_crypto_evict_key() more robust
    - tty: Prevent writing chars during tcsetattr TCSADRAIN/FLUSH
    - xhci: fix debugfs register accesses while suspended
    - serial: fix TIOCSRS485 locking
    - serial: 8250: Fix serial8250_tx_empty() race with DMA Tx
    - tick/nohz: Fix cpu_is_hotpluggable() by checking with nohz subsystem
    - fs: fix sysctls.c built
    - [mips*] fw: Allow firmware to pass a empty env
    - ipmi:ssif: Add send_retries increment
    - ipmi: fix SSIF not responding under certain cond.
    - wifi: mt76: add missing locking to protect against concurrent rx/status
      calls
    - [arm64,armhf] pwm: meson: Fix axg ao mux parents
    - [arm64,armhf] pwm: meson: Fix g12a ao clk81 name
    - soundwire: qcom: correct setting ignore bit on v1.5.1
    - ring-buffer: Ensure proper resetting of atomic variables in
      ring_buffer_reset_online_cpus
    - ring-buffer: Sync IRQ works before buffer destruction
    - crypto: api - Demote BUG_ON() in crypto_unregister_alg() to a WARN_ON()
    - [arm64] crypto: safexcel - Cleanup ring IRQ workqueues on load failure
    - [x86] crypto: ccp - Don't initialize CCP for PSP 0x1649
    - rcu: Avoid stack overflow due to __rcu_irq_enter_check_tick() being
      kprobe-ed
    - reiserfs: Add security prefix to xattr name in reiserfs_security_write()
    - [x86] KVM: nVMX: Emulate NOPs in L2, and PAUSE if it's not intercepted
    - [arm64] KVM: arm64: Avoid vcpu->mutex v. kvm->lock inversion in CPU_ON
    - [arm64] KVM: arm64: Avoid lock inversion when setting the VM register
      width
    - [arm64] KVM: arm64: Use config_lock to protect data ordered against
      KVM_RUN
    - [arm64] KVM: arm64: Use config_lock to protect vgic state
    - [arm64] KVM: arm64: vgic: Don't acquire its_lock before config_lock
    - relayfs: fix out-of-bounds access in relay_file_read (CVE-2023-3268)
    - drm/amd/display: Remove stutter only configurations
    - drm/amd/display: limit timing for single dimm memory
    - drm/amd/display: fix PSR-SU/DSC interoperability support
    - drm/amd/display: fix a divided-by-zero error
    - ksmbd: fix racy issue under cocurrent smb2 tree disconnect
      (CVE-2023-32254)
    - ksmbd: call rcu_barrier() in ksmbd_server_exit()
    - ksmbd: fix NULL pointer dereference in smb2_get_info_filesystem()
    - ksmbd: fix memleak in session setup
    - ksmbd: not allow guest user on multichannel
    - ksmbd: fix deadlock in ksmbd_find_crypto_ctx()
    - [x86] ACPI: video: Remove acpi_backlight=video quirk for Lenovo ThinkPad
      W530
    - [arm64,armhf] i2c: omap: Fix standard mode false ACK readings
    - tracing: Fix permissions for the buffer_percent file
    - swsmu/amdgpu_smu: Fix the wrong if-condition
    - drm/amd/pm: re-enable the gfx imu when smu resume
    - [amd64] iommu/amd: Fix "Guest Virtual APIC Table Root Pointer"
      configuration in IRTE
    - Revert "ubifs: dirty_cow_znode: Fix memleak in error handling path"
    - ubifs: Fix memleak when insert_old_idx() failed
    - ubi: Fix return value overwrite issue in try_write_vid_and_data()
    - ubifs: Free memory for tmpfile name
    - ubifs: Fix memory leak in do_rename
    - ceph: fix potential use-after-free bug when trimming caps
    - xfs: don't consider future format versions valid
    - cxl/hdm: Fail upon detecting 0-sized decoders
